Bug 707002 (freemedforms) - Review Request: freemedforms - An open Electronic Medical Record Manager
Summary: Review Request: freemedforms - An open Electronic Medical Record Manager
Keywords:
Status: CLOSED ERRATA
Alias: freemedforms
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Narasimhan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: fedora-medical
TreeView+ depends on / blocked
 
Reported: 2011-05-23 17:38 UTC by Ankur Sinha (FranciscoD)
Modified: 2011-09-29 23:47 UTC (History)
6 users (show)

Fixed In Version: freemedforms-0.5.9-0.1.alpha1.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-07-17 14:23:39 UTC
Type: ---
lakshminaras2002: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Ankur Sinha (FranciscoD) 2011-05-23 17:38:38 UTC
Spec URL: http://ankursinha.fedorapeople.org/freemedforms/freemedforms.spec
SRPM URL: http://ankursinha.fedorapeople.org/freemedforms/freemedforms-0.5.9-0.1.alpha1.fc15.src.rpm

Description: 
FreeMedForms aims to be a open Electronic Medical Record Manager.
FreeMedForms is also a lot of derivatives sub-project, which are
just standalone compilation of FreeMedForms plugins.

This project is a free and open source project. A community grows up
around it. FreeMedForms and derivatives is released under the terms
of the new BSD License. Some parts of the code are LGPL v2.1.

FreeMedForms and Derivatives are coded in C++/Qt4.4.3 at least.
FreeMedForms and Derivatives are available for :
- MacOs X universal
- Linux : Ubuntu, Debian, OpenSuse, standalone binary
- FreeBSD : need compilation of SVN trunk (please contact author)
- Windows

Comment 1 Ankur Sinha (FranciscoD) 2011-06-03 06:51:20 UTC
Hey Lakshmi, 

If you're going to review this, can you please set the review flag to "?".

Thanks! :)
Ankur

Comment 2 Eric Maeker 2011-06-15 06:49:59 UTC
Hi Ankur,

Thanks for this great work. We are greatly pleased to be included in Fedora Medical and in Fedora in general.

Just some comments on the presentation:
- license is mainly GPLv3 + LGPL (for some parts)
- need Qt v4.6.2 at least

For the spec:
- in order to create the translation add in the %build tag (before the qmake step)
lrelease global_resources/translations/*.ts
- LOWERED_APPNAME=FreeMedForms  --> needs to be lowered ;) so LOWERED_APPNAME="freemedforms". Then libs and plugs should be installed in %{_libdir}/freemedforms

I saw a problem with rpath, 0.5.9~alpha2 should solve it (idem for the debian packages).

There should be a small issue with the version numbering (because the version is parsed in the code). Can't you use 0.5.9~alpha1 instead of 0.5.9-0.1.alpha1 ? Otherwise I need to patch the 0.5.9~alpha2 code ;)

Can you add a link to our main website: http://www.freemedforms.com/

Fell free to contact us at any time for any question at freemedforms@googlegroups.com

Thanks for your work
Eric Maeker

Comment 3 Ankur Sinha (FranciscoD) 2011-06-15 10:34:27 UTC
(In reply to comment #2)
> Hi Ankur,

Hi Eric!

> 
> Thanks for this great work. We are greatly pleased to be included in Fedora
> Medical and in Fedora in general.

Thank you for taking time out to give us these hints :D

> 
> Just some comments on the presentation:
> - license is mainly GPLv3 + LGPL (for some parts)

Corrected.

> - need Qt v4.6.2 at least

Yes. I'm building against 4.7.2:
[root@ankur ~]# repoquery qt-devel
qt-devel-1:4.7.2-8.fc15.i686


> 
> For the spec:
> - in order to create the translation add in the %build tag (before the qmake
> step)
> lrelease global_resources/translations/*.ts
> - LOWERED_APPNAME=FreeMedForms  --> needs to be lowered ;) so
> LOWERED_APPNAME="freemedforms". Then libs and plugs should be installed in
> %{_libdir}/freemedforms

Corrected. 

> 
> I saw a problem with rpath, 0.5.9~alpha2 should solve it (idem for the debian
> packages).

I'll update the package once you release alpha2 :)

> 
> There should be a small issue with the version numbering (because the version
> is parsed in the code). Can't you use 0.5.9~alpha1 instead of 0.5.9-0.1.alpha1
> ? Otherwise I need to patch the 0.5.9~alpha2 code ;)

Uhm, I'll have to ask around. From the guidelines, it should be "0.1.alpha2". Are you sure the versioning of the rpm has an affect on the package? I haven't changed the versioning in the build anywhere. It's only for the rpm. 

> 
> Can you add a link to our main website: http://www.freemedforms.com/
> 

Added :)

> Fell free to contact us at any time for any question at
> freemedforms@googlegroups.com

I just joined the google groups :)

> 
> Thanks for your work
> Eric Maeker

I noticed that freemedforms also bundles quazip. However, the version bundled has a "global.h" file, which the latest quazip does not have:

http://sourceforge.net/projects/quazip/files%2Fquazip%2F0.4.1%2Fquazip-0.4.1.tar.gz/download

What version of quazip is being used here? Is this include from quazip, or a modification required only for freemedforms? 

In the meantime, I cannot build freemedforms :/ (due to the missing global.h file in the fedora quazip libraries)

[root@ankur ~]# repoquery -l quazip-devel quazip | egrep "\.h$"
/usr/include/quazip/JlCompress.h
/usr/include/quazip/quaadler32.h
/usr/include/quazip/quachecksum32.h
/usr/include/quazip/quacrc32.h
/usr/include/quazip/quazip.h
/usr/include/quazip/quazipfile.h
/usr/include/quazip/quazipfileinfo.h
/usr/include/quazip/quazipnewinfo.h
/usr/include/quazip/JlCompress.h
/usr/include/quazip/quaadler32.h
/usr/include/quazip/quachecksum32.h
/usr/include/quazip/quacrc32.h
/usr/include/quazip/quazip.h
/usr/include/quazip/quazipfile.h
/usr/include/quazip/quazipfileinfo.h
/usr/include/quazip/quazipnewinfo.h


Thank you Eric :)

Ankur

Comment 4 Ankur Sinha (FranciscoD) 2011-06-15 15:10:40 UTC
I've built and tested it. It works :)

A scratch build for x86_64 is here:

http://koji.fedoraproject.org/koji/taskinfo?taskID=3132734

Updated spec:
http://ankursinha.fedorapeople.org/freemedforms/freemedforms.spec

Updated srpm:
http://ankursinha.fedorapeople.org/freemedforms/freemedforms-0.5.9-0.1.alpha1.fc15.src.rpm

Thanks,
Ankur

Comment 5 Narasimhan 2011-07-09 16:28:10 UTC
[+]MUST: rpmlint must be run on every package. The output should be posted in the review.

[+]MUST: The package must be named according to the Package Naming Guidelines.
[+]MUST: The spec file name must match the base package %{name}, in the format %{name}.spec
[+]MUST: The package must meet the Packaging Guidelines.
        Naming-Yes
        Version-release - Matches  the guidelines related to prerelease software.
        No prebuilt external bits - OK
        Spec legibity - OK
        Package template - OK
        Arch support - OK
        Libexecdir - OK
        rpmlint - yes
        changelogs - OK
        Source url tag  - OK, validated.
        Build Requires list - OK
        Summary and description - OK
        API documentation - OK

[?]MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
Files under contrib/quazip are licensed as GPLv3. If these files are modifications of LPGL code from quazip,
can they be relicensed as GPLv3?
[+]MUST: The License field in the package spec file must match the actual license.
Dual licensed file.
[+]MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
COPYING.txt included.
[+]MUST: The spec file must be written in American English.
[+]MUST: The spec file for the package MUST be legible.
[+]MUST: The sources used to build the package must match the upstream source,as provided in the spec URL. Reviewers should use md5sum for this task.

md5sum freemedformsfullsources-0.5.9~alpha1.tgz 
78e5ddf14f9decce9c466fc8bb2b12b1  freemedformsfullsources-0.5.9~alpha1.tgz

md5sum ~/Downloads/freemedformsfullsources-0.5.9~alpha1.tgz 
78e5ddf14f9decce9c466fc8bb2b12b1  /home/lvaikunt/Downloads/freemedformsfullsources-0.5.9~alpha1.tgz

[+]MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
Built on i686.
[+]MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.
[+]MUST: All build dependencies must be listed in BuildRequires.
[NA]MUST: The spec file MUST handle locales properly using the %find_lang macro
[NA]MUST: Packages stores shared library files must call ldconfig in %post and %postun.
[+]MUST: Packages must NOT bundle copies of system libraries.
Checked with rpmquery --list
[NA]MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review.
[+]MUST: A package must own all directories that it creates.
Checked with rpmquery --whatprovides
[+]MUST: A Fedora package must not list a file more than once in the spec file's %files listings.
[+]MUST: Permissions on files must be set properly.
Checked with ls -LR
[+]MUST: Each package must consistently use macros.
[?]MUST: The package must contain code, or permissible content.
Pixmaps, sqlite databases and following  text files 
/usr/share/freemedforms/textfiles/boys_surnames.csv
/usr/share/freemedforms/textfiles/default_user_footer.htm
/usr/share/freemedforms/textfiles/default_user_header.htm
/usr/share/freemedforms/textfiles/girls_surnames.csv
/usr/share/freemedforms/textfiles/listemotsfr.txt
/usr/share/freemedforms/textfiles/pays.txt
/usr/share/freemedforms/textfiles/surnames.txt
/usr/share/freemedforms/textfiles/zipcodes.csv

[+]MUST: Large documentation files must go in a -doc subpackage.
[+]MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[NA]MUST: Header files must be in a -devel package.
[NA]MUST: Static libraries must be in a -static package.
[NA]MUST: If a package contains library files with a suffix (e.g.libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.

[+]MUST: devel packages must require the base package using a fully versioned dependency: Requires: {name} = %{version}-%{release}

freemedforms = 0.5.9 is needed by (installed) freemedforms-devel-0.5.9-0.1.alpha1.fc14.i686

[NA]MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[NA]MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section
[+]MUST: Packages must not own files or directories already owned by other packages.
[+]MUST: All filenames in rpm packages must be valid UTF-8.

Should items
[+]SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[+]SHOULD: The reviewer should test that the package functions as described.
Installed the package and ran the binary. Works fine.
[+]SHOULD: If scriptlets are used, those scriptlets must be sane.

Two issues.

1) Files under contrib/quazip are licensed as GPLv3. If these files are modifications of LPGL code from quazip, can they be relicensed as GPLv3?
2) Do those text files come under permissable content category, especially those containing zip codes of places and surnames?

Comment 6 Narasimhan 2011-07-09 16:42:32 UTC
rpmlint output

freemedforms.i686: E: devel-dependency freemedforms-devel
Your package has a dependency on a devel package but it's not a devel package
itself.

freemedforms.i686: W: spelling-error %description -l en_US plugins -> plug ins, plug-ins, plugging
The value of this tag appears to be misspelled. Please double-check.

freemedforms.i686: W: incoherent-version-in-changelog 0.5.9-0.1alpha1 ['0.5.9-0.1.alpha1.fc14', '0.5.9-0.1.alpha1']
The latest entry in %changelog contains a version identifier that is not
coherent with the epoch:version-release tuple of the package.

freemedforms.i686: E: binary-or-shlib-defines-rpath /usr/lib/freemedforms/libUtils.so.1.0.0 ['$ORIGIN', '/usr/lib/freemedforms']
The binary or shared library defines `RPATH'. Usually this is a bad thing
because it hardcodes the path to search libraries and so makes it difficult to
move libraries around.  Most likely you will find a Makefile with a line like:
gcc test.o -o test -Wl,--rpath.  Also, sometimes configure scripts provide a
--disable-rpath flag to avoid this.

freemedforms.i686: E: binary-or-shlib-defines-rpath /usr/lib/freemedforms/libMedicalUtils.so.1.0.0 ['$ORIGIN', '/usr/lib/freemedforms']
The binary or shared library defines `RPATH'. Usually this is a bad thing
because it hardcodes the path to search libraries and so makes it difficult to
move libraries around.  Most likely you will find a Makefile with a line like:
gcc test.o -o test -Wl,--rpath.  Also, sometimes configure scripts provide a
--disable-rpath flag to avoid this.

freemedforms.i686: E: binary-or-shlib-defines-rpath /usr/lib/freemedforms/libExtensionSystem.so.1.0.0 ['$ORIGIN', '/usr/lib/freemedforms']
The binary or shared library defines `RPATH'. Usually this is a bad thing
because it hardcodes the path to search libraries and so makes it difficult to
move libraries around.  Most likely you will find a Makefile with a line like:
gcc test.o -o test -Wl,--rpath.  Also, sometimes configure scripts provide a
--disable-rpath flag to avoid this.

freemedforms.i686: E: binary-or-shlib-defines-rpath /usr/lib/freemedforms/libAggregation.so.1.0.0 ['$ORIGIN', '/usr/lib/freemedforms']
The binary or shared library defines `RPATH'. Usually this is a bad thing
because it hardcodes the path to search libraries and so makes it difficult to
move libraries around.  Most likely you will find a Makefile with a line like:
gcc test.o -o test -Wl,--rpath.  Also, sometimes configure scripts provide a
--disable-rpath flag to avoid this.

freemedforms.i686: E: binary-or-shlib-defines-rpath /usr/bin/FreeMedForms ['$ORIGIN', '/usr/lib/freemedforms']
The binary or shared library defines `RPATH'. Usually this is a bad thing
because it hardcodes the path to search libraries and so makes it difficult to
move libraries around.  Most likely you will find a Makefile with a line like:
gcc test.o -o test -Wl,--rpath.  Also, sometimes configure scripts provide a
--disable-rpath flag to avoid this.

freemedforms.i686: E: binary-or-shlib-defines-rpath /usr/lib/freemedforms/libTranslationUtils.so.1.0.0 ['$ORIGIN', '/usr/lib/freemedforms']
The binary or shared library defines `RPATH'. Usually this is a bad thing
because it hardcodes the path to search libraries and so makes it difficult to
move libraries around.  Most likely you will find a Makefile with a line like:
gcc test.o -o test -Wl,--rpath.  Also, sometimes configure scripts provide a
--disable-rpath flag to avoid this.

freemedforms.i686: W: no-manual-page-for-binary FreeMedForms
Each executable in standard binary directories should have a man page.

freemedforms-devel.i686: W: non-standard-group Development/Libraries/C and C++
The value of the Group tag in the package is not valid.  Valid groups are:
"Amusements/Games", "Amusements/Graphics", "Applications/Archiving",
"Applications/Communications", "Applications/Databases",
"Applications/Editors", "Applications/Emulators", "Applications/Engineering",
"Applications/File", "Applications/Internet", "Applications/Multimedia",
"Applications/Productivity", "Applications/Publishing", "Applications/System",
"Applications/Text", "Development/Debug", "Development/Debuggers",
"Development/Languages", "Development/Libraries", "Development/System",
"Development/Tools", "Documentation", "System Environment/Base", "System
Environment/Daemons", "System Environment/Kernel", "System
Environment/Libraries", "System Environment/Shells", "Unspecified", "User
Interface/Desktops", "User Interface/X", "User Interface/X Hardware Support".

freemedforms-devel.i686: E: binary-or-shlib-defines-rpath /usr/lib/freemedforms/libICD.so ['$ORIGIN', '$ORIGIN/..']
The binary or shared library defines `RPATH'. Usually this is a bad thing
because it hardcodes the path to search libraries and so makes it difficult to
move libraries around.  Most likely you will find a Makefile with a line like:
gcc test.o -o test -Wl,--rpath.  Also, sometimes configure scripts provide a
--disable-rpath flag to avoid this.

freemedforms-devel.i686: E: binary-or-shlib-defines-rpath /usr/lib/freemedforms/libSaveRestore.so ['$ORIGIN', '$ORIGIN/..']
The binary or shared library defines `RPATH'. Usually this is a bad thing
because it hardcodes the path to search libraries and so makes it difficult to
move libraries around.  Most likely you will find a Makefile with a line like:
gcc test.o -o test -Wl,--rpath.  Also, sometimes configure scripts provide a
--disable-rpath flag to avoid this.

freemedforms-devel.i686: E: binary-or-shlib-defines-rpath /usr/lib/freemedforms/libCategory.so ['$ORIGIN', '$ORIGIN/..']
The binary or shared library defines `RPATH'. Usually this is a bad thing
because it hardcodes the path to search libraries and so makes it difficult to
move libraries around.  Most likely you will find a Makefile with a line like:
gcc test.o -o test -Wl,--rpath.  Also, sometimes configure scripts provide a
--disable-rpath flag to avoid this.

freemedforms-devel.i686: E: binary-or-shlib-defines-rpath /usr/lib/freemedforms/libListView.so ['$ORIGIN', '$ORIGIN/..']
The binary or shared library defines `RPATH'. Usually this is a bad thing
because it hardcodes the path to search libraries and so makes it difficult to
move libraries around.  Most likely you will find a Makefile with a line like:
gcc test.o -o test -Wl,--rpath.  Also, sometimes configure scripts provide a
--disable-rpath flag to avoid this.

freemedforms-devel.i686: E: binary-or-shlib-defines-rpath /usr/lib/freemedforms/libPMH.so ['$ORIGIN', '$ORIGIN/..']
The binary or shared library defines `RPATH'. Usually this is a bad thing
because it hardcodes the path to search libraries and so makes it difficult to
move libraries around.  Most likely you will find a Makefile with a line like:
gcc test.o -o test -Wl,--rpath.  Also, sometimes configure scripts provide a
--disable-rpath flag to avoid this.

freemedforms-devel.i686: E: binary-or-shlib-defines-rpath /usr/lib/freemedforms/libGir.so ['$ORIGIN', '$ORIGIN/..']
The binary or shared library defines `RPATH'. Usually this is a bad thing
because it hardcodes the path to search libraries and so makes it difficult to
move libraries around.  Most likely you will find a Makefile with a line like:
gcc test.o -o test -Wl,--rpath.  Also, sometimes configure scripts provide a
--disable-rpath flag to avoid this.

freemedforms-devel.i686: E: binary-or-shlib-defines-rpath /usr/lib/freemedforms/libTextEditor.so ['$ORIGIN', '$ORIGIN/..']
The binary or shared library defines `RPATH'. Usually this is a bad thing
because it hardcodes the path to search libraries and so makes it difficult to
move libraries around.  Most likely you will find a Makefile with a line like:
gcc test.o -o test -Wl,--rpath.  Also, sometimes configure scripts provide a
--disable-rpath flag to avoid this.

freemedforms-devel.i686: E: binary-or-shlib-defines-rpath /usr/lib/freemedforms/libDrugsBase.so ['$ORIGIN', '$ORIGIN/..']
The binary or shared library defines `RPATH'. Usually this is a bad thing
because it hardcodes the path to search libraries and so makes it difficult to
move libraries around.  Most likely you will find a Makefile with a line like:
gcc test.o -o test -Wl,--rpath.  Also, sometimes configure scripts provide a
--disable-rpath flag to avoid this.

freemedforms-devel.i686: E: binary-or-shlib-defines-rpath /usr/lib/freemedforms/libDrugs.so ['$ORIGIN', '$ORIGIN/..']
The binary or shared library defines `RPATH'. Usually this is a bad thing
because it hardcodes the path to search libraries and so makes it difficult to
move libraries around.  Most likely you will find a Makefile with a line like:
gcc test.o -o test -Wl,--rpath.  Also, sometimes configure scripts provide a
--disable-rpath flag to avoid this.

freemedforms-devel.i686: E: binary-or-shlib-defines-rpath /usr/lib/freemedforms/libTemplates.so ['$ORIGIN', '$ORIGIN/..']
The binary or shared library defines `RPATH'. Usually this is a bad thing
because it hardcodes the path to search libraries and so makes it difficult to
move libraries around.  Most likely you will find a Makefile with a line like:
gcc test.o -o test -Wl,--rpath.  Also, sometimes configure scripts provide a
--disable-rpath flag to avoid this.

freemedforms-devel.i686: E: binary-or-shlib-defines-rpath /usr/lib/freemedforms/libBaseWidgets.so ['$ORIGIN', '$ORIGIN/..']
The binary or shared library defines `RPATH'. Usually this is a bad thing
because it hardcodes the path to search libraries and so makes it difficult to
move libraries around.  Most likely you will find a Makefile with a line like:
gcc test.o -o test -Wl,--rpath.  Also, sometimes configure scripts provide a
--disable-rpath flag to avoid this.

freemedforms-devel.i686: E: binary-or-shlib-defines-rpath /usr/lib/freemedforms/libUserManager.so ['$ORIGIN', '$ORIGIN/..']
The binary or shared library defines `RPATH'. Usually this is a bad thing
because it hardcodes the path to search libraries and so makes it difficult to
move libraries around.  Most likely you will find a Makefile with a line like:
gcc test.o -o test -Wl,--rpath.  Also, sometimes configure scripts provide a
--disable-rpath flag to avoid this.

freemedforms-devel.i686: E: binary-or-shlib-defines-rpath /usr/lib/freemedforms/libCore.so ['$ORIGIN', '$ORIGIN/..']
The binary or shared library defines `RPATH'. Usually this is a bad thing
because it hardcodes the path to search libraries and so makes it difficult to
move libraries around.  Most likely you will find a Makefile with a line like:
gcc test.o -o test -Wl,--rpath.  Also, sometimes configure scripts provide a
--disable-rpath flag to avoid this.

freemedforms-devel.i686: E: binary-or-shlib-defines-rpath /usr/lib/freemedforms/libFormManager.so ['$ORIGIN', '$ORIGIN/..']
The binary or shared library defines `RPATH'. Usually this is a bad thing
because it hardcodes the path to search libraries and so makes it difficult to
move libraries around.  Most likely you will find a Makefile with a line like:
gcc test.o -o test -Wl,--rpath.  Also, sometimes configure scripts provide a
--disable-rpath flag to avoid this.

freemedforms-devel.i686: E: binary-or-shlib-defines-rpath /usr/lib/freemedforms/libPatientBase.so ['$ORIGIN', '$ORIGIN/..']
The binary or shared library defines `RPATH'. Usually this is a bad thing
because it hardcodes the path to search libraries and so makes it difficult to
move libraries around.  Most likely you will find a Makefile with a line like:
gcc test.o -o test -Wl,--rpath.  Also, sometimes configure scripts provide a
--disable-rpath flag to avoid this.

freemedforms-devel.i686: E: binary-or-shlib-defines-rpath /usr/lib/freemedforms/libXmlIO.so ['$ORIGIN', '$ORIGIN/..']
The binary or shared library defines `RPATH'. Usually this is a bad thing
because it hardcodes the path to search libraries and so makes it difficult to
move libraries around.  Most likely you will find a Makefile with a line like:
gcc test.o -o test -Wl,--rpath.  Also, sometimes configure scripts provide a
--disable-rpath flag to avoid this.

freemedforms-devel.i686: E: binary-or-shlib-defines-rpath /usr/lib/freemedforms/libPadTools.so ['$ORIGIN', '$ORIGIN/..']
The binary or shared library defines `RPATH'. Usually this is a bad thing
because it hardcodes the path to search libraries and so makes it difficult to
move libraries around.  Most likely you will find a Makefile with a line like:
gcc test.o -o test -Wl,--rpath.  Also, sometimes configure scripts provide a
--disable-rpath flag to avoid this.

freemedforms-devel.i686: E: binary-or-shlib-defines-rpath /usr/lib/freemedforms/libAccountBase.so ['$ORIGIN', '$ORIGIN/..']
The binary or shared library defines `RPATH'. Usually this is a bad thing
because it hardcodes the path to search libraries and so makes it difficult to
move libraries around.  Most likely you will find a Makefile with a line like:
gcc test.o -o test -Wl,--rpath.  Also, sometimes configure scripts provide a
--disable-rpath flag to avoid this.

freemedforms-devel.i686: E: binary-or-shlib-defines-rpath /usr/lib/freemedforms/libAccount.so ['$ORIGIN', '$ORIGIN/..']
The binary or shared library defines `RPATH'. Usually this is a bad thing
because it hardcodes the path to search libraries and so makes it difficult to
move libraries around.  Most likely you will find a Makefile with a line like:
gcc test.o -o test -Wl,--rpath.  Also, sometimes configure scripts provide a
--disable-rpath flag to avoid this.

freemedforms-devel.i686: E: binary-or-shlib-defines-rpath /usr/lib/freemedforms/libPrinter.so ['$ORIGIN', '$ORIGIN/..']
The binary or shared library defines `RPATH'. Usually this is a bad thing
because it hardcodes the path to search libraries and so makes it difficult to
move libraries around.  Most likely you will find a Makefile with a line like:
gcc test.o -o test -Wl,--rpath.  Also, sometimes configure scripts provide a
--disable-rpath flag to avoid this.

freemedforms-devel.i686: E: binary-or-shlib-defines-rpath /usr/lib/freemedforms/libMainWindow.so ['$ORIGIN', '$ORIGIN/..']
The binary or shared library defines `RPATH'. Usually this is a bad thing
because it hardcodes the path to search libraries and so makes it difficult to
move libraries around.  Most likely you will find a Makefile with a line like:
gcc test.o -o test -Wl,--rpath.  Also, sometimes configure scripts provide a
--disable-rpath flag to avoid this.

freemedforms-devel.i686: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

../freemedforms.spec:38: W: non-standard-group Development/Libraries/C and C++
The value of the Group tag in the package is not valid.  Valid groups are:
"Amusements/Games", "Amusements/Graphics", "Applications/Archiving",
"Applications/Communications", "Applications/Databases",
"Applications/Editors", "Applications/Emulators", "Applications/Engineering",
"Applications/File", "Applications/Internet", "Applications/Multimedia",
"Applications/Productivity", "Applications/Publishing", "Applications/System",
"Applications/Text", "Development/Debug", "Development/Debuggers",
"Development/Languages", "Development/Libraries", "Development/System",
"Development/Tools", "Documentation", "System Environment/Base", "System
Environment/Daemons", "System Environment/Kernel", "System
Environment/Libraries", "System Environment/Shells", "Unspecified", "User
Interface/Desktops", "User Interface/X", "User Interface/X Hardware Support".

../freemedforms.spec:64: W: rpm-buildroot-usage %build qmake freemedforms.pro -r -config release "CONFIG+=LINUX_INTEGRATED" "INSTALL_ROOT_PATH=$RPM_BUILD_ROOT%{_prefix}" "LOWERED_APPNAME=freemedforms" "LIBRARY_BASENAME=%{_lib}"
$RPM_BUILD_ROOT should not be touched during %build or %prep stage, as it may
break short circuit builds.

../freemedforms.spec:75: W: macro-in-comment %{_libdir}
There is a unescaped macro after a shell style comment in the specfile. Macros
are expanded everywhere, so check if it can cause a problem in this case and
escape the macro with another leading % if appropriate.

../freemedforms.spec:76: W: macro-in-comment %{_bindir}
There is a unescaped macro after a shell style comment in the specfile. Macros
are expanded everywhere, so check if it can cause a problem in this case and
escape the macro with another leading % if appropriate.

../freemedforms.spec: W: invalid-url Source0: http://freemedforms.googlecode.com/files/freemedformsfullsources-0.5.9~alpha1.tgz HTTP Error 404: Not Found
The value should be a valid, public HTTP, HTTPS, or FTP URL.

freemedforms-debuginfo.i686: W: invalid-url URL: http://www.freemedforms.com <urlopen error [Errno -2] Name or service not known>
The value should be a valid, public HTTP, HTTPS, or FTP URL.

freemedforms-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/freemedforms-0.5.9~alpha1/build/FreeMedForms/MainWindow/.moc
The file or directory is hidden. You should see if this is normal, and delete
it from the package if not.

freemedforms-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/freemedforms-0.5.9~alpha1/build/FreeMedForms/MainWindow/.moc
The file or directory is hidden. You should see if this is normal, and delete
it from the package if not.

freemedforms-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/freemedforms-0.5.9~alpha1/build/FreeMedForms/UserManager/.moc
The file or directory is hidden. You should see if this is normal, and delete
it from the package if not.

freemedforms-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/freemedforms-0.5.9~alpha1/build/FreeMedForms/UserManager/.moc
The file or directory is hidden. You should see if this is normal, and delete
it from the package if not.

freemedforms-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/freemedforms-0.5.9~alpha1/build/FreeMedForms/SaveRestore/.moc
The file or directory is hidden. You should see if this is normal, and delete
it from the package if not.

freemedforms-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/freemedforms-0.5.9~alpha1/build/FreeMedForms/SaveRestore/.moc
The file or directory is hidden. You should see if this is normal, and delete
it from the package if not.

freemedforms-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/freemedforms-0.5.9~alpha1/build/FreeMedForms/TextEditor/.moc
The file or directory is hidden. You should see if this is normal, and delete
it from the package if not.

freemedforms-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/freemedforms-0.5.9~alpha1/build/FreeMedForms/TextEditor/.moc
The file or directory is hidden. You should see if this is normal, and delete
it from the package if not.

freemedforms-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/freemedforms-0.5.9~alpha1/build/FreeMedForms/BaseWidgets/.moc
The file or directory is hidden. You should see if this is normal, and delete
it from the package if not.

freemedforms-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/freemedforms-0.5.9~alpha1/build/FreeMedForms/BaseWidgets/.moc
The file or directory is hidden. You should see if this is normal, and delete
it from the package if not.

freemedforms-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/freemedforms-0.5.9~alpha1/build/FreeMedForms/Account/.moc
The file or directory is hidden. You should see if this is normal, and delete
it from the package if not.

freemedforms-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/freemedforms-0.5.9~alpha1/build/FreeMedForms/Account/.moc
The file or directory is hidden. You should see if this is normal, and delete
it from the package if not.

freemedforms-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/freemedforms-0.5.9~alpha1/build/FreeMedForms/ListView/.moc
The file or directory is hidden. You should see if this is normal, and delete
it from the package if not.

freemedforms-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/freemedforms-0.5.9~alpha1/build/FreeMedForms/ListView/.moc
The file or directory is hidden. You should see if this is normal, and delete
it from the package if not.

freemedforms-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/freemedforms-0.5.9~alpha1/build/FreeMedForms/PadTools/.moc
The file or directory is hidden. You should see if this is normal, and delete
it from the package if not.

freemedforms-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/freemedforms-0.5.9~alpha1/build/FreeMedForms/PadTools/.moc
The file or directory is hidden. You should see if this is normal, and delete
it from the package if not.

freemedforms-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/freemedforms-0.5.9~alpha1/build/FreeMedForms/Gir/.moc
The file or directory is hidden. You should see if this is normal, and delete
it from the package if not.

freemedforms-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/freemedforms-0.5.9~alpha1/build/FreeMedForms/Gir/.moc
The file or directory is hidden. You should see if this is normal, and delete
it from the package if not.

freemedforms-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/freemedforms-0.5.9~alpha1/build/FreeMedForms/PatientBase/.moc
The file or directory is hidden. You should see if this is normal, and delete
it from the package if not.

freemedforms-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/freemedforms-0.5.9~alpha1/build/FreeMedForms/PatientBase/.moc
The file or directory is hidden. You should see if this is normal, and delete
it from the package if not.

freemedforms-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/freemedforms-0.5.9~alpha1/build/FreeMedForms/XmlIO/.moc
The file or directory is hidden. You should see if this is normal, and delete
it from the package if not.

freemedforms-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/freemedforms-0.5.9~alpha1/build/FreeMedForms/XmlIO/.moc
The file or directory is hidden. You should see if this is normal, and delete
it from the package if not.

freemedforms-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/freemedforms-0.5.9~alpha1/build/.ui
The file or directory is hidden. You should see if this is normal, and delete
it from the package if not.

freemedforms-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/freemedforms-0.5.9~alpha1/build/.ui
The file or directory is hidden. You should see if this is normal, and delete
it from the package if not.

freemedforms-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/freemedforms-0.5.9~alpha1/build/FreeMedForms/PMH/.moc
The file or directory is hidden. You should see if this is normal, and delete
it from the package if not.

freemedforms-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/freemedforms-0.5.9~alpha1/build/FreeMedForms/PMH/.moc
The file or directory is hidden. You should see if this is normal, and delete
it from the package if not.

freemedforms-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/freemedforms-0.5.9~alpha1/build/FreeMedForms/DrugsBase/.moc
The file or directory is hidden. You should see if this is normal, and delete
it from the package if not.

freemedforms-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/freemedforms-0.5.9~alpha1/build/FreeMedForms/DrugsBase/.moc
The file or directory is hidden. You should see if this is normal, and delete
it from the package if not.

freemedforms-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/freemedforms-0.5.9~alpha1/build/FreeMedForms/Printer/.moc
The file or directory is hidden. You should see if this is normal, and delete
it from the package if not.

freemedforms-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/freemedforms-0.5.9~alpha1/build/FreeMedForms/Printer/.moc
The file or directory is hidden. You should see if this is normal, and delete
it from the package if not.

freemedforms-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/freemedforms-0.5.9~alpha1/build/FreeMedForms/ICD/.moc
The file or directory is hidden. You should see if this is normal, and delete
it from the package if not.

freemedforms-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/freemedforms-0.5.9~alpha1/build/FreeMedForms/ICD/.moc
The file or directory is hidden. You should see if this is normal, and delete
it from the package if not.

freemedforms-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/freemedforms-0.5.9~alpha1/build/ExtensionSystem/.rcc
The file or directory is hidden. You should see if this is normal, and delete
it from the package if not.

freemedforms-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/freemedforms-0.5.9~alpha1/build/ExtensionSystem/.rcc
The file or directory is hidden. You should see if this is normal, and delete
it from the package if not.

freemedforms-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/freemedforms-0.5.9~alpha1/build/FreeMedForms/Templates/.moc
The file or directory is hidden. You should see if this is normal, and delete
it from the package if not.

freemedforms-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/freemedforms-0.5.9~alpha1/build/FreeMedForms/Templates/.moc
The file or directory is hidden. You should see if this is normal, and delete
it from the package if not.

freemedforms-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/freemedforms-0.5.9~alpha1/build/FreeMedForms/.ui
The file or directory is hidden. You should see if this is normal, and delete
it from the package if not.

freemedforms-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/freemedforms-0.5.9~alpha1/build/FreeMedForms/.ui
The file or directory is hidden. You should see if this is normal, and delete
it from the package if not.

freemedforms-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/freemedforms-0.5.9~alpha1/build/FreeMedForms/Drugs/.moc
The file or directory is hidden. You should see if this is normal, and delete
it from the package if not.

freemedforms-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/freemedforms-0.5.9~alpha1/build/FreeMedForms/Drugs/.moc
The file or directory is hidden. You should see if this is normal, and delete
it from the package if not.

freemedforms-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/freemedforms-0.5.9~alpha1/build/FreeMedForms/Category/.moc
The file or directory is hidden. You should see if this is normal, and delete
it from the package if not.

freemedforms-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/freemedforms-0.5.9~alpha1/build/FreeMedForms/Category/.moc
The file or directory is hidden. You should see if this is normal, and delete
it from the package if not.

freemedforms-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/freemedforms-0.5.9~alpha1/build/ExtensionSystem/.moc
The file or directory is hidden. You should see if this is normal, and delete
it from the package if not.

freemedforms-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/freemedforms-0.5.9~alpha1/build/ExtensionSystem/.moc
The file or directory is hidden. You should see if this is normal, and delete
it from the package if not.

freemedforms-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/freemedforms-0.5.9~alpha1/build/TranslationUtils/.moc
The file or directory is hidden. You should see if this is normal, and delete
it from the package if not.

freemedforms-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/freemedforms-0.5.9~alpha1/build/TranslationUtils/.moc
The file or directory is hidden. You should see if this is normal, and delete
it from the package if not.

freemedforms-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/freemedforms-0.5.9~alpha1/build/FreeMedForms/AccountBase/.moc
The file or directory is hidden. You should see if this is normal, and delete
it from the package if not.

freemedforms-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/freemedforms-0.5.9~alpha1/build/FreeMedForms/AccountBase/.moc
The file or directory is hidden. You should see if this is normal, and delete
it from the package if not.

freemedforms-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/freemedforms-0.5.9~alpha1/build/Utils/.moc
The file or directory is hidden. You should see if this is normal, and delete
it from the package if not.

freemedforms-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/freemedforms-0.5.9~alpha1/build/Utils/.moc
The file or directory is hidden. You should see if this is normal, and delete
it from the package if not.

freemedforms-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/freemedforms-0.5.9~alpha1/build/Aggregation/.moc
The file or directory is hidden. You should see if this is normal, and delete
it from the package if not.

freemedforms-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/freemedforms-0.5.9~alpha1/build/Aggregation/.moc
The file or directory is hidden. You should see if this is normal, and delete
it from the package if not.

freemedforms-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/freemedforms-0.5.9~alpha1/build/FreeMedForms/FormManager/.moc
The file or directory is hidden. You should see if this is normal, and delete
it from the package if not.

freemedforms-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/freemedforms-0.5.9~alpha1/build/FreeMedForms/FormManager/.moc
The file or directory is hidden. You should see if this is normal, and delete
it from the package if not.

freemedforms-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/freemedforms-0.5.9~alpha1/build/FreeMedForms/Core/.moc
The file or directory is hidden. You should see if this is normal, and delete
it from the package if not.

freemedforms-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/freemedforms-0.5.9~alpha1/build/FreeMedForms/Core/.moc
The file or directory is hidden. You should see if this is normal, and delete
it from the package if not.

freemedforms.src: W: spelling-error %description -l en_US plugins -> plug ins, plug-ins, plugging
The value of this tag appears to be misspelled. Please double-check.

freemedforms.src:64: W: rpm-buildroot-usage %build qmake freemedforms.pro -r -config release "CONFIG+=LINUX_INTEGRATED" "INSTALL_ROOT_PATH=$RPM_BUILD_ROOT%{_prefix}" "LOWERED_APPNAME=freemedforms" "LIBRARY_BASENAME=%{_lib}"
$RPM_BUILD_ROOT should not be touched during %build or %prep stage, as it may
break short circuit builds.

freemedforms.src:75: W: macro-in-comment %{_libdir}
There is a unescaped macro after a shell style comment in the specfile. Macros
are expanded everywhere, so check if it can cause a problem in this case and
escape the macro with another leading % if appropriate.

freemedforms.src:76: W: macro-in-comment %{_bindir}
There is a unescaped macro after a shell style comment in the specfile. Macros
are expanded everywhere, so check if it can cause a problem in this case and
escape the macro with another leading % if appropriate.

freemedforms.src: W: invalid-url Source0: http://freemedforms.googlecode.com/files/freemedformsfullsources-0.5.9~alpha1.tgz HTTP Error 404: Not Found
The value should be a valid, public HTTP, HTTPS, or FTP URL.

4 packages and 1 specfiles checked; 28 errors, 72 warnings.

Comment 7 Narasimhan 2011-07-09 16:45:14 UTC
Ignore HTTP errors.

Needs fixing:
1) freemedforms-devel.i686: W: non-standard-group Development/Libraries/C and C++. 
Probably put Applications/Databases.

Comment 8 Narasimhan 2011-07-09 16:47:15 UTC
The .moc folders are created by QT compiler.

Comment 9 Narasimhan 2011-07-09 16:55:41 UTC
Also internal rpaths are allowed according to http://fedoraproject.org/wiki/Packaging:Guidelines#Rpath_for_Internal_Libraries

Comment 10 Ankur Sinha (FranciscoD) 2011-07-10 04:28:43 UTC
> 
> Two issues.
> 
> 1) Files under contrib/quazip are licensed as GPLv3. If these files are
> modifications of LPGL code from quazip, can they be relicensed as GPLv3?

The latest quazip sources do not have the global files. Eric has written these as a simple wrapper around quazip and therefore can license them as he wishes. I don't think there's an issue here. 

> 2) Do those text files come under permissable content category, especially
> those containing zip codes of places and surnames?
They're generic lists, not pertaining to persons individually. Highly unlikely there's an issue here too :)

Comment 11 Ankur Sinha (FranciscoD) 2011-07-10 04:30:09 UTC
(In reply to comment #7)
> Ignore HTTP errors.
> 
> Needs fixing:
> 1) freemedforms-devel.i686: W: non-standard-group Development/Libraries/C and
> C++. 
> Probably put Applications/Databases.

Okay. Corrected. 

(In reply to comment #8)
> The .moc folders are created by QT compiler.

Should I delete these, or let them be?

Thank you,
Ankur

Comment 12 Narasimhan 2011-07-10 08:56:58 UTC
>The latest quazip sources do not have the global files. Eric has written these
>as a simple wrapper around quazip and therefore can license them as he wishes.
>I don't think there's an issue here. 
Ok I see. Then looks fine.

> The .moc folders are created by QT compiler.
Yeah. If it doesn't harm the build process. 


APPROVED.

Comment 13 Ankur Sinha (FranciscoD) 2011-07-10 10:04:34 UTC
New Package SCM Request
=======================
Package Name: freemedforms
Short Description: An open Electronic Medical Record Manager
Owners: ankursinha
Branches: f14 f15
InitialCC: susmit mrceresa

Comment 14 Gwyn Ciesla 2011-07-10 13:03:04 UTC
SCM request says freemedforms, summary says FreeMedForms.  It looks like
most things upstream are FreeMedForms, but the source file is lower case. 
Which do you intend to use?

Comment 15 Ankur Sinha (FranciscoD) 2011-07-10 13:34:15 UTC
Lower case please.

Comment 16 Ankur Sinha (FranciscoD) 2011-07-10 13:34:54 UTC
New Package SCM Request
=======================
Package Name: freemedforms
Short Description: An open Electronic Medical Record Manager
Owners: ankursinha
Branches: f14 f15
InitialCC: susmit mrceresa

Comment 17 Gwyn Ciesla 2011-07-10 20:47:13 UTC
Git done (by process-git-requests).

Awesome, thanks for clarifying.

Comment 18 Fedora Update System 2011-07-11 04:10:57 UTC
freemedforms-0.5.9-0.1.alpha1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/freemedforms-0.5.9-0.1.alpha1.fc15

Comment 19 Fedora Update System 2011-07-11 04:11:05 UTC
freemedforms-0.5.9-0.1.alpha1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/freemedforms-0.5.9-0.1.alpha1.fc14

Comment 20 Fedora Update System 2011-07-12 05:18:35 UTC
freemedforms-0.5.9-0.1.alpha1.fc15 has been pushed to the Fedora 15 testing repository.

Comment 21 Eric Maeker 2011-07-12 11:32:07 UTC
Hello, 

Thanks for your work. It is great success to represented in Fedora repositories.

I'd to suggest some answer (as upstreamer) to your questionnings.

-----
[?]MUST: The package must contain code, or permissible content.
Pixmaps, sqlite databases and following  text files 
/usr/share/freemedforms/textfiles/boys_surnames.csv
/usr/share/freemedforms/textfiles/default_user_footer.htm
/usr/share/freemedforms/textfiles/default_user_header.htm
/usr/share/freemedforms/textfiles/girls_surnames.csv
/usr/share/freemedforms/textfiles/listemotsfr.txt
/usr/share/freemedforms/textfiles/pays.txt
/usr/share/freemedforms/textfiles/surnames.txt
/usr/share/freemedforms/textfiles/zipcodes.csv

Do those text files come under permissable content category, especially
those containing zip codes of places and surnames?
-----

All data files, databases and extra content is licenced with the GPLv3.
We can not add headers in files while these files are automatically processed by the app.

-----
freemedforms-devel.i686: W: non-standard-group Development/Libraries/C and C++
The value of the Group tag in the package is not valid.  Valid groups are:
"Amusements/Games", "Amusements/Graphics", "Applications/Archiving",
"Applications/Communications", "Applications/Databases",
"Applications/Editors", "Applications/Emulators", "Applications/Engineering",
"Applications/File", "Applications/Internet", "Applications/Multimedia",
"Applications/Productivity", "Applications/Publishing", "Applications/System",
"Applications/Text", "Development/Debug", "Development/Debuggers",
"Development/Languages", "Development/Libraries", "Development/System",
"Development/Tools", "Documentation", "System Environment/Base", "System
Environment/Daemons", "System Environment/Kernel", "System
Environment/Libraries", "System Environment/Shells", "Unspecified", "User
Interface/Desktops", "User Interface/X", "User Interface/X Hardware Support".
-----

Can I suggest the "Applications/Productivity" group. The FreeMedForms EMR, for medical doctors, is like OOo that a book writer will need to work.

-----
freemedforms-debuginfo.i686: W: hidden-file-or-dir
-----

All these dirs are created by the qmake step (build step) and are included in the original source.


Another information, there is a new upstream version available: 0.5.9~alpha2 ready for packaging.

Thanks for your work and time.
Eric

Comment 22 Eric Maeker 2011-07-12 11:34:58 UTC
Oooohhh I'm tired. 

> I'd to suggest some answer (as upstreamer) to your questionnings.

I'd like to suggest some answers (as upstreamer) to your questionnings.


> All these dirs are created by the qmake step (build step) and are included in
> the original source.

All these dirs are created by the qmake step (build step) and are *not* included in the original source tarball.

Eric

Comment 23 Narasimhan 2011-07-12 12:57:19 UTC
Thanks for the clarifications Eric. 

Ankur, we could leave the .moc folders as it is for the debuginfo package.

Comment 24 Ankur Sinha (FranciscoD) 2011-07-12 13:05:33 UTC
Yep. I left them in the debuginfo package. I'll push an updated version once the package hits stable. I just want to make sure it's working nicely :)

Thanks Eric and Lakshmi :)
Ankur

Comment 25 Ankur Sinha (FranciscoD) 2011-07-17 14:23:39 UTC
Built and pushed to repos for testing. Closing.

Comment 26 Fedora Update System 2011-07-22 19:28:39 UTC
freemedforms-0.5.9-0.1.alpha1.fc14 has been pushed to the Fedora 14 stable repository.

Comment 27 Fedora Update System 2011-07-22 19:36:48 UTC
freemedforms-0.5.9-0.1.alpha1.fc15 has been pushed to the Fedora 15 stable repository.

Comment 28 Michael Schwendt 2011-09-29 23:47:03 UTC
To the reviewer: please notice bug 742396


Note You need to log in before you can comment on or make changes to this bug.